summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Westerhof <mwester@dls.net>2006-05-26 03:58:41 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2006-05-26 03:58:41 +0000
commit1bdd82295819fdd8eda7a2a2dfa0f75b92eb1f40 (patch)
tree6e09ee39a5fc0133a098dcf918ebb6c880b89034
parent80816b62566e1b3175e00382c3076057bb6d46a1 (diff)
parent89919672d543b3351b1d9a97f8af1584f0d65795 (diff)
merge of 8ac4847056fba1c5b2b9ba03a8b6cb16c799aa19
and b3548a7dc6d9be0b03545b677be4cdd71cbbb2a9
-rw-r--r--conf/distro/angstrom-2006.9.conf6
-rw-r--r--conf/documentation.conf7
-rw-r--r--packages/cherokee/cherokee-0.5.3/.mtn2git_empty0
-rw-r--r--packages/cherokee/cherokee-0.5.3/Makefile.cget.patch23
-rw-r--r--packages/cherokee/cherokee-0.5.3/Makefile.in.patch32
-rw-r--r--packages/cherokee/cherokee-0.5.3/configure.patch127
-rw-r--r--packages/cherokee/cherokee-0.5.3/util.patch29
-rw-r--r--packages/cherokee/cherokee_0.5.3.bb28
-rw-r--r--packages/clearsilver/.mtn2git_empty0
-rw-r--r--packages/clearsilver/clearsilver_0.10.3.bb27
-rw-r--r--packages/clearsilver/files/.mtn2git_empty0
-rw-r--r--packages/clearsilver/files/crosscompile.patch59
-rw-r--r--packages/gcc/gcc-4.1.1/.mtn2git_empty0
-rw-r--r--packages/gcc/gcc-4.1.1/arm-nolibfloat.patch24
-rw-r--r--packages/gcc/gcc-4.1.1/arm-softfloat.patch16
-rw-r--r--packages/gcc/gcc-4.1.1/armeb-fix.patch62
-rw-r--r--packages/gcc/gcc-4.1.1/ldflags.patch22
-rw-r--r--packages/gcc/gcc-4.1.1/zecke-no-host-includes.patch31
-rw-r--r--packages/gcc/gcc-cross-initial_4.1.1.bb30
-rw-r--r--packages/gcc/gcc-cross_4.1.1.bb18
-rw-r--r--packages/gcc/gcc_4.1.1.bb26
-rw-r--r--packages/glibc/glibc_2.3.5+cvs20050627.bb5
-rw-r--r--packages/gpe-package/files/.mtn2git_empty0
-rw-r--r--packages/gpe-package/files/gpe-package2
-rw-r--r--packages/gpe-package/files/sbin-and-no-suid-install.patch15
-rw-r--r--packages/gpe-package/gpe-package_0.3.bb15
-rw-r--r--packages/kbdd/files/kbdd.init5
-rw-r--r--packages/nbd/.mtn2git_empty0
-rw-r--r--packages/nbd/files/.mtn2git_empty0
-rw-r--r--packages/nbd/files/cross-compile.patch61
-rw-r--r--packages/nbd/nbd_2.8.4.bb20
-rw-r--r--packages/nslu2-binary-only/unslung-rootfs/NOTES1
-rw-r--r--packages/samba/files/Managing-Samba.txt34
-rw-r--r--packages/samba/files/smb-essential.conf295
-rw-r--r--packages/samba/samba-essential.inc37
-rw-r--r--packages/samba/samba-essential_3.0.20.bb61
36 files changed, 1106 insertions, 12 deletions
diff --git a/conf/distro/angstrom-2006.9.conf b/conf/distro/angstrom-2006.9.conf
index 9d7c724c8f..5c1ed1296d 100644
--- a/conf/distro/angstrom-2006.9.conf
+++ b/conf/distro/angstrom-2006.9.conf
@@ -67,9 +67,9 @@ PREFERRED_PROVIDER_virtual/arm-linux-libc-for-gcc = "glibc-intermediate"
#use EABI toolchain
-PREFERRED_VERSION_gcc ?= "4.1.0"
-PREFERRED_VERSION_gcc-cross ?= "4.1.0"
-PREFERRED_VERSION_gcc-cross-initial ?= "4.1.0"
+PREFERRED_VERSION_gcc ?= "4.1.1"
+PREFERRED_VERSION_gcc-cross ?= "4.1.1"
+PREFERRED_VERSION_gcc-cross-initial ?= "4.1.1"
PREFERRED_VERSION_binutils ?= "2.16.91.0.7"
PREFERRED_VERSION_binutils-cross ?= "2.16.91.0.7"
PREFERRED_VERSION_linux-libc-headers ?= "2.6.15.99"
diff --git a/conf/documentation.conf b/conf/documentation.conf
index 20bcc53f5f..b072ac8c67 100644
--- a/conf/documentation.conf
+++ b/conf/documentation.conf
@@ -63,8 +63,9 @@ HOMEPAGE[doc] = "Homepage of the package e.g. http://www.project.net."
GROUP_dependencies[doc] = "The keys in this group influence the dependency handling of BitBake \
and the resulting packages."
DEPENDS[doc] = "Build time dependencies, things needed to build the package. @group dependencies"
-RDEPENDS[doc] = "Run time dependencies, things needed for a given package to run. @group dependencies"
-PROVIDES[doc] = "Names for additional dependencies that this package will provide. @group dependencies"
+RDEPENDS[doc] = "Run time dependencies, things needed for a given package to run. This is used to populate the ipkg:Depends field. @group dependencies"
+PROVIDES[doc] = "Names for additional build time dependencies that this package will provide. @group dependencies"
+RPROVIDES[doc] = "Names for additional run time dependencies that this package will provide. This is used to populate the ipkg:Provides field. @group dependencies"
# packaging
@@ -98,4 +99,4 @@ SYSVINIT_ENABLED_GETTYS[doc] = "Specify which VTs should be running a getty, the
PALMTOP_USE_MULTITHREADED_QT[doc] = "Set to yes, if you want to build qt apps with CONFIG+=thread"
COMPATIBLE_HOST[doc] = "A regular expression which matches the HOST_SYS names supported by the package/file. Failure to match will cause the file to be skipped by the parser."
-COMPATIBLE_MACHINE[doc] = "A regular expression which matches the MACHINES support by the package/file. Failure to match will cause the file to be skipped by the parser." \ No newline at end of file
+COMPATIBLE_MACHINE[doc] = "A regular expression which matches the MACHINES support by the package/file. Failure to match will cause the file to be skipped by the parser."
diff --git a/packages/cherokee/cherokee-0.5.3/.mtn2git_empty b/packages/cherokee/cherokee-0.5.3/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/cherokee/cherokee-0.5.3/.mtn2git_empty
diff --git a/packages/cherokee/cherokee-0.5.3/Makefile.cget.patch b/packages/cherokee/cherokee-0.5.3/Makefile.cget.patch
new file mode 100644
index 0000000000..bb6b2141b3
--- /dev/null
+++ b/packages/cherokee/cherokee-0.5.3/Makefile.cget.patch
@@ -0,0 +1,23 @@
+
+#
+# Patch managed by http://www.xwaves.net
+#
+
+--- cherokee-0.4.29/cget/Makefile.in~Makefile.cget
++++ cherokee-0.4.29/cget/Makefile.in
+@@ -56,6 +56,7 @@
+ cget_OBJECTS = $(am_cget_OBJECTS)
+ am__DEPENDENCIES_1 =
+ cget_DEPENDENCIES = ../cherokee/libcherokee-client.la \
++ ../cherokee/libcherokee-base.la \
+ $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+ $(am__DEPENDENCIES_1)
+ DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
+@@ -286,6 +287,7 @@
+
+ cget_LDADD = \
+ ../cherokee/libcherokee-client.la \
++../cherokee/libcherokee-base.la \
+ $(TLS_LIBS) \
+ $(PTHREAD_LIBS) \
+ $(PTHREAD_CFLAGS)
diff --git a/packages/cherokee/cherokee-0.5.3/Makefile.in.patch b/packages/cherokee/cherokee-0.5.3/Makefile.in.patch
new file mode 100644
index 0000000000..05ece037c3
--- /dev/null
+++ b/packages/cherokee/cherokee-0.5.3/Makefile.in.patch
@@ -0,0 +1,32 @@
+
+#
+# Patch managed by http://www.xwaves.net
+#
+
+Index: cherokee-0.5.3/cherokee/Makefile.in
+===================================================================
+--- cherokee-0.5.3.orig/cherokee/Makefile.in 2006-04-22 20:03:20.000000000 +0200
++++ cherokee-0.5.3/cherokee/Makefile.in 2006-05-23 20:33:12.000000000 +0200
+@@ -434,11 +434,11 @@
+ am_cherokee_OBJECTS = main.$(OBJEXT)
+ cherokee_OBJECTS = $(am_cherokee_OBJECTS)
+ cherokee_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+- libcherokee-base.la libcherokee-server.la
++ libcherokee-base.la libcherokee-client.la libcherokee-server.la
+ am_cherokee_admin_OBJECTS = cherokee_admin.$(OBJEXT)
+ cherokee_admin_OBJECTS = $(am_cherokee_admin_OBJECTS)
+ cherokee_admin_DEPENDENCIES = libcherokee-config.la \
+- libcherokee-base.la libcherokee-client.la
++ libcherokee-base.la libcherokee-client.la libcherokee-server.la
+ am_cherokee_logrotate_OBJECTS = cherokee_logrotate.$(OBJEXT)
+ cherokee_logrotate_OBJECTS = $(am_cherokee_logrotate_OBJECTS)
+ cherokee_logrotate_DEPENDENCIES = libcherokee-base.la \
+@@ -1429,7 +1429,7 @@
+ cherokee_logrotate_SOURCES = cherokee_logrotate.c
+ cherokee_logrotate_LDADD = libcherokee-base.la libcherokee-client.la libcherokee-server.la libcherokee-config.la
+ cherokee_admin_SOURCES = cherokee_admin.c
+-cherokee_admin_LDADD = libcherokee-config.la libcherokee-base.la libcherokee-client.la
++cherokee_admin_LDADD = libcherokee-config.la libcherokee-base.la libcherokee-client.la libcherokee-server.la
+
+ #noinst_PROGRAMS = cherokee_modules cherokee_base64 cherokee_headers cherokee_fastcgi
+
diff --git a/packages/cherokee/cherokee-0.5.3/configure.patch b/packages/cherokee/cherokee-0.5.3/configure.patch
new file mode 100644
index 0000000000..9c34d961ac
--- /dev/null
+++ b/packages/cherokee/cherokee-0.5.3/configure.patch
@@ -0,0 +1,127 @@
+
+#
+# Patch managed by http://www.xwaves.net
+#
+
+--- cherokee-0.4.29/configure~configure
++++ cherokee-0.4.29/configure
+@@ -28929,59 +28929,8 @@
+ if test "x$have_epoll_include" = "xyes"; then
+ echo "$as_me:$LINENO: checking for epoll system call" >&5
+ echo $ECHO_N "checking for epoll system call... $ECHO_C" >&6
+-
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+- #include <stdint.h>
+- #include <sys/param.h>
+- #include <sys/types.h>
+- #include <sys/syscall.h>
+- #include <sys/epoll.h>
+- #include <unistd.h>
+-
+- int epoll_create (int size) {
+- return (syscall(__NR_epoll_create, size));
+- }
+-
+- int main (int argc, char **argv) {
+- int epfd;
+- epfd = epoll_create(256);
+- exit (epfd == -1 ? 1 : 0);
+- }
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+- (eval $ac_link) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- have_epoll=yes
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-fi
+-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
++have_epoll=yes
++
+ echo "$as_me:$LINENO: result: $have_epoll" >&5
+ echo "${ECHO_T}$have_epoll" >&6
+ fi
+@@ -32593,55 +32542,9 @@
+ # Is sendfile broken?
+ echo "$as_me:$LINENO: checking if sendfile works" >&5
+ echo $ECHO_N "checking if sendfile works... $ECHO_C" >&6
+-if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <errno.h>
+- int main() {
+- int o = 0;
+- if (-1 == sendfile(0, 0, &o, 0) && errno == ENOSYS) return -1;
+- return 0;
+- }
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+- (eval $ac_link) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+
+-( exit $ac_status )
+- echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define HAVE_SENDFILE_BROKEN 1
+-_ACEOF
+-
+-fi
+-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
++echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6
+
+ # readdir_r()
+
diff --git a/packages/cherokee/cherokee-0.5.3/util.patch b/packages/cherokee/cherokee-0.5.3/util.patch
new file mode 100644
index 0000000000..c7b1d15113
--- /dev/null
+++ b/packages/cherokee/cherokee-0.5.3/util.patch
@@ -0,0 +1,29 @@
+
+#
+# Patch managed by http://www.xwaves.net
+#
+
+Index: cherokee-0.5.3/cherokee/util.c
+===================================================================
+--- cherokee-0.5.3.orig/cherokee/util.c 2006-04-01 17:58:59.000000000 +0200
++++ cherokee-0.5.3/cherokee/util.c 2006-05-23 20:37:12.000000000 +0200
+@@ -32,6 +32,7 @@
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <unistd.h>
++#include <errno.h>
+
+ #ifdef HAVE_SYS_TIME_H
+ # include <sys/time.h>
+@@ -385,9 +386,9 @@
+
+
+
+-#if defined(HAVE_PTHREAD) && !defined(HAVE_READDIR_R)
++/*#if defined(HAVE_PTHREAD) && !defined(HAVE_READDIR_R)*/
+ static pthread_mutex_t readdir_mutex = PTHREAD_MUTEX_INITIALIZER;
+-#endif
++/*#endif*/
+
+ /* The readdir subroutine is reentrant when an application program
+ * uses different DirectoryPointer parameter values (returned from the
diff --git a/packages/cherokee/cherokee_0.5.3.bb b/packages/cherokee/cherokee_0.5.3.bb
new file mode 100644
index 0000000000..e6ea8e03fb
--- /dev/null
+++ b/packages/cherokee/cherokee_0.5.3.bb
@@ -0,0 +1,28 @@
+DESCRIPTION = "Cherokee Web Server fast and secure"
+LICENSE = "GPL"
+DEPENDS = "pcre gnutls"
+HOMEPAGE = "http://www.0x50.org/"
+SRC_URI = "http://www.0x50.org/download/0.5/${PV}/${P}.tar.gz \
+ file://configure.patch;patch=1 \
+ file://Makefile.in.patch;patch=1 \
+ file://Makefile.cget.patch;patch=1 \
+ file://util.patch;patch=1 \
+"
+
+inherit autotools
+
+PARALLEL_MAKE=""
+
+LEAD_SONAME = "libcherokee-base"
+
+EXTRA_OECONF = "--enable-tls=gnutls --disable-static --disable-nls"
+
+do_configure() {
+ gnu-configize
+ oe_runconf
+ sed -i 's:-L\$:-L${STAGING_LIBDIR} -L\$:' ${S}/*libtool
+}
+
+do_install_prepend () {
+ $BUILD_CC -DHAVE_SYS_STAT_H -o cherokee_replace cherokee_replace.c
+}
diff --git a/packages/clearsilver/.mtn2git_empty b/packages/clearsilver/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/clearsilver/.mtn2git_empty
diff --git a/packages/clearsilver/clearsilver_0.10.3.bb b/packages/clearsilver/clearsilver_0.10.3.bb
new file mode 100644
index 0000000000..0e5a86ede2
--- /dev/null
+++ b/packages/clearsilver/clearsilver_0.10.3.bb
@@ -0,0 +1,27 @@
+# Clearsilver
+SECTION = "net"
+DESCRIPTION = "Clearsilver is a fast, powerful, and language-neutral HTML template system"
+LICENSE = "Neotonic ClearSilver License"
+DEPENDS = "python"
+MAINTAINER = "Cliff Brake <cliff.brake@gmail.com>"
+PR = "r0"
+
+SRC_URI = "http://www.clearsilver.net/downloads/${P}.tar.gz \
+ file://crosscompile.patch;patch=1"
+
+EXTRA_OECONF = "--disable-apache --disable-perl --disable-ruby --disable-java --disable-csharp --enable-gettext --with-python=${STAGING_BINDIR}/python"
+
+inherit autotools
+
+FILES_${PN} += "/usr/lib/python*"
+
+do_compile() {
+ BUILD_SYS=${BUILD_SYS} HOST_SYS=${HOST_SYS} oe_runmake
+}
+
+do_configure() {
+ gnu-configize
+ oe_runconf
+}
+
+
diff --git a/packages/clearsilver/files/.mtn2git_empty b/packages/clearsilver/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/clearsilver/files/.mtn2git_empty
diff --git a/packages/clearsilver/files/crosscompile.patch b/packages/clearsilver/files/crosscompile.patch
new file mode 100644
index 0000000000..1b73bd5576
--- /dev/null
+++ b/packages/clearsilver/files/crosscompile.patch
@@ -0,0 +1,59 @@
+Index: clearsilver-0.10.3/cgi/Makefile
+===================================================================
+--- clearsilver-0.10.3.orig/cgi/Makefile
++++ clearsilver-0.10.3/cgi/Makefile
+@@ -30,13 +30,13 @@ $(CGI_LIB): $(CGI_OBJ)
+ $(RANLIB) $@
+
+ $(STATIC_EXE): $(STATIC_OBJ) $(DEP_LIBS)
+- $(LD) $@ $(STATIC_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS)
++ $(LD) $@ $(STATIC_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS) $(LDFLAGS)
+
+ $(STATIC_CSO): $(STATIC_OBJ) $(DEP_LIBS)
+- $(LDSHARED) -o $@ $(STATIC_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS)
++ $(LDSHARED) -o $@ $(STATIC_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS) $(LDFLAGS)
+
+ $(CGICSTEST_EXE): $(CGICSTEST_OBJ) $(DEP_LIBS)
+- $(LD) $@ $(CGICSTEST_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS)
++ $(LD) $@ $(CGICSTEST_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS) $(LDFLAGS)
+
+ install: all
+ $(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(cs_includedir)/cgi
+Index: clearsilver-0.10.3/cs/Makefile
+===================================================================
+--- clearsilver-0.10.3.orig/cs/Makefile
++++ clearsilver-0.10.3/cs/Makefile
+@@ -22,9 +22,9 @@ CSDUMP_EXE = csdump
+ CSDUMP_SRC = csdump.c
+ CSDUMP_OBJ = $(CSDUMP_SRC:%.c=%.o)
+
+-LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl # -lefence
++LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl $(LDFLAGS) # -lefence
+
+-TARGETS = $(CS_LIB) $(CSTEST_EXE) $(CSR_EXE) test
++TARGETS = $(CS_LIB) $(CSR_EXE) $(CSTEST_EXE)
+
+ CS_TESTS = test.cs test2.cs test3.cs test4.cs test5.cs test6.cs test7.cs \
+ test8.cs test9.cs test10.cs test11.cs test12.cs test13.cs \
+Index: clearsilver-0.10.3/python/Makefile
+===================================================================
+--- clearsilver-0.10.3.orig/python/Makefile
++++ clearsilver-0.10.3/python/Makefile
+@@ -11,7 +11,7 @@ NEO_UTIL_PYD = neo_cgi.pyd
+ NEO_UTIL_SRC = neo_cgi.c neo_util.c neo_cs.c
+ NEO_UTIL_OBJ = $(NEO_UTIL_SRC:%.c=%.o)
+
+-CFLAGS += $(PYTHON_INC)
++#CFLAGS += $(PYTHON_INC)
+ DLIBS += -lneo_cgi -lneo_cs -lneo_utl
+ LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)
+
+@@ -21,6 +21,8 @@ else
+ TARGETS = $(NEO_UTIL_SO)
+ endif
+
++PYTHON_SITE = /usr/lib/python2.4/site-packages/
++
+ all: $(TARGETS)
+
+ $(NEO_UTIL_SO): setup.py $(NEO_UTIL_SRC) $(DEP_LIBS)
diff --git a/packages/gcc/gcc-4.1.1/.mtn2git_empty b/packages/gcc/gcc-4.1.1/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/gcc/gcc-4.1.1/.mtn2git_empty
diff --git a/packages/gcc/gcc-4.1.1/arm-nolibfloat.patch b/packages/gcc/gcc-4.1.1/arm-nolibfloat.patch
new file mode 100644
index 0000000000..c4897c0330
--- /dev/null
+++ b/packages/gcc/gcc-4.1.1/arm-nolibfloat.patch
@@ -0,0 +1,24 @@
+# Dimitry Andric <dimitry@andric.com>, 2004-05-01
+#
+# * Removed the extra -lfloat option from LIBGCC_SPEC, since it isn't needed
+# anymore. (The required functions are now in libgcc.)
+#
+# Fixes errors like
+# arm-softfloat-linux-gnu/3.4.0/../../../../arm-softfloat-linux-gnu/bin/ld: cannot find -lfloat
+# collect2: ld returned 1 exit status
+# make[2]: *** [arm-softfloat-linux-gnu/gcc-3.4.0-glibc-2.3.2/build-glibc/iconvdata/ISO8859-1.so] Error 1
+# when building glibc-2.3.3 with gcc-3.4.0 for arm-softfloat
+
+Index: gcc-4.0.2/gcc/config/arm/linux-elf.h
+===================================================================
+--- gcc-4.0.2.orig/gcc/config/arm/linux-elf.h 2005-03-04 16:14:01.000000000 +0000
++++ gcc-4.0.2/gcc/config/arm/linux-elf.h 2005-11-11 18:02:54.000000000 +0000
+@@ -56,7 +56,7 @@
+ %{shared:-lc} \
+ %{!shared:%{profile:-lc_p}%{!profile:-lc}}"
+
+-#define LIBGCC_SPEC "%{msoft-float:-lfloat} %{mfloat-abi=soft*:-lfloat} -lgcc"
++#define LIBGCC_SPEC "-lgcc"
+
+ /* Provide a STARTFILE_SPEC appropriate for GNU/Linux. Here we add
+ the GNU/Linux magical crtbegin.o file (see crtstuff.c) which
diff --git a/packages/gcc/gcc-4.1.1/arm-softfloat.patch b/packages/gcc/gcc-4.1.1/arm-softfloat.patch
new file mode 100644
index 0000000000..c86c83ed15
--- /dev/null
+++ b/packages/gcc/gcc-4.1.1/arm-softfloat.patch
@@ -0,0 +1,16 @@
+Index: gcc-4.0.2/gcc/config/arm/t-linux
+===================================================================
+--- gcc-4.0.2.orig/gcc/config/arm/t-linux 2004-05-15 12:41:35.000000000 +0000
++++ gcc-4.0.2/gcc/config/arm/t-linux 2005-11-11 16:07:53.000000000 +0000
+@@ -4,7 +4,10 @@
+ LIBGCC2_DEBUG_CFLAGS = -g0
+
+ LIB1ASMSRC = arm/lib1funcs.asm
+-LIB1ASMFUNCS = _udivsi3 _divsi3 _umodsi3 _modsi3 _dvmd_lnx
++LIB1ASMFUNCS = _udivsi3 _divsi3 _umodsi3 _modsi3 _dvmd_lnx \
++ _negdf2 _addsubdf3 _muldivdf3 _cmpdf2 _unorddf2 _fixdfsi _fixunsdfsi \
++ _truncdfsf2 _negsf2 _addsubsf3 _muldivsf3 _cmpsf2 _unordsf2 \
++ _fixsfsi _fixunssfsi _floatdidf _floatdisf
+
+ # MULTILIB_OPTIONS = mhard-float/msoft-float
+ # MULTILIB_DIRNAMES = hard-float soft-float
diff --git a/packages/gcc/gcc-4.1.1/armeb-fix.patch b/packages/gcc/gcc-4.1.1/armeb-fix.patch
new file mode 100644
index 0000000000..42bb4ea9ab
--- /dev/null
+++ b/packages/gcc/gcc-4.1.1/armeb-fix.patch
@@ -0,0 +1,62 @@
+--- gcc-4.0-20050305/gcc/config/arm/linux-elf.h.orig 2005-03-23 18:44:54.822707377 +0100
++++ gcc-4.0-20050305/gcc/config/arm/linux-elf.h 2005-03-23 18:46:18.228560206 +0100
+@@ -31,19 +31,33 @@
+ /* Do not assume anything about header files. */
+ #define NO_IMPLICIT_EXTERN_C
+
++/*
++ * 'config.gcc' defines TARGET_BIG_ENDIAN_DEFAULT as 1 for
++ * arm*b-*-linux* (big endian) configurations.
++ */
++#if TARGET_BIG_ENDIAN_DEFAULT
++#define TARGET_ENDIAN_DEFAULT ARM_FLAG_BIG_END
++#define TARGET_ENDIAN_OPTION "mbig-endian"
++#define TARGET_LINKER_EMULATION "armelfb_linux"
++#else
++#define TARGET_ENDIAN_DEFAULT 0
++#define TARGET_ENDIAN_OPTION "mlittle-endian"
++#define TARGET_LINKER_EMULATION "armelf_linux"
++#endif
++
+ #undef TARGET_DEFAULT_FLOAT_ABI
+ #define TARGET_DEFAULT_FLOAT_ABI ARM_FLOAT_ABI_HARD
+
+ #undef TARGET_DEFAULT
+-#define TARGET_DEFAULT (0)
++#define TARGET_DEFAULT (TARGET_ENDIAN_DEFAULT)
+
+ #define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm6
+
+-#define SUBTARGET_EXTRA_LINK_SPEC " -m armelf_linux -p"
++#define SUBTARGET_EXTRA_LINK_SPEC " -m " TARGET_LINKER_EMULATION " -p"
+
+ #undef MULTILIB_DEFAULTS
+ #define MULTILIB_DEFAULTS \
+- { "marm", "mlittle-endian", "mhard-float", "mno-thumb-interwork" }
++ { "marm", TARGET_ENDIAN_OPTION, "mhard-float", "mno-thumb-interwork" }
+
+ /* The GNU C++ standard library requires that these macros be defined. */
+ #undef CPLUSPLUS_CPP_SPEC
+@@ -90,7 +104,7 @@
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker /lib/ld-linux.so.2} \
+ -X \
+- %{mbig-endian:-EB}" \
++ %{mbig-endian:-EB} %{mlittle-endian:-EL}" \
+ SUBTARGET_EXTRA_LINK_SPEC
+
+ #define TARGET_OS_CPP_BUILTINS() \
+--- gcc-4.0-20050305/gcc/config.gcc.orig 2005-03-23 18:46:23.318105335 +0100
++++ gcc-4.0-20050305/gcc/config.gcc 2005-03-23 18:47:41.592546386 +0100
+@@ -650,6 +650,11 @@
+ ;;
+ arm*-*-linux*) # ARM GNU/Linux with ELF
+ tm_file="dbxelf.h elfos.h linux.h arm/elf.h arm/linux-gas.h arm/linux-elf.h arm/aout.h arm/arm.h"
++ case $target in
++ arm*b-*-linux*)
++ tm_defines="${tm_defines} TARGET_BIG_ENDIAN_DEFAULT=1"
++ ;;
++ esac
+ tmake_file="${tmake_file} arm/t-arm arm/t-linux"
+ extra_parts="crtbegin.o crtbeginS.o crtend.o crtendS.o"
+ gnu_ld=yes
diff --git a/packages/gcc/gcc-4.1.1/ldflags.patch b/packages/gcc/gcc-4.1.1/ldflags.patch
new file mode 100644
index 0000000000..9576f60778
--- /dev/null
+++ b/packages/gcc/gcc-4.1.1/ldflags.patch
@@ -0,0 +1,22 @@
+--- /tmp/Makefile.in 2006-02-23 20:56:01.399758728 +0100
++++ gcc-4.1-20060217/Makefile.in 2006-02-23 20:56:16.874406224 +0100
+@@ -334,7 +334,7 @@
+ CXXFLAGS_FOR_TARGET = $(CXXFLAGS) $(SYSROOT_CFLAGS_FOR_TARGET)
+ LIBCFLAGS_FOR_TARGET = $(CFLAGS_FOR_TARGET)
+ LIBCXXFLAGS_FOR_TARGET = $(CXXFLAGS_FOR_TARGET) -fno-implicit-templates
+-LDFLAGS_FOR_TARGET =
++LDFLAGS_FOR_TARGET = @LDFLAGS@
+ PICFLAG_FOR_TARGET =
+
+ # ------------------------------------
+--- /tmp/Makefile.tpl 2006-02-23 20:50:34.077519272 +0100
++++ gcc-4.1-20060217/Makefile.tpl 2006-02-23 21:04:31.092273688 +0100
+@@ -337,7 +337,7 @@
+ CXXFLAGS_FOR_TARGET = $(CXXFLAGS) $(SYSROOT_CFLAGS_FOR_TARGET)
+ LIBCFLAGS_FOR_TARGET = $(CFLAGS_FOR_TARGET)
+ LIBCXXFLAGS_FOR_TARGET = $(CXXFLAGS_FOR_TARGET) -fno-implicit-templates
+-LDFLAGS_FOR_TARGET =
++LDFLAGS_FOR_TARGET = @LDFLAGS@
+ PICFLAG_FOR_TARGET =
+
+ # ------------------------------------
diff --git a/packages/gcc/gcc-4.1.1/zecke-no-host-includes.patch b/packages/gcc/gcc-4.1.1/zecke-no-host-includes.patch
new file mode 100644
index 0000000000..6afb10d6ef
--- /dev/null
+++ b/packages/gcc/gcc-4.1.1/zecke-no-host-includes.patch
@@ -0,0 +1,31 @@
+Index: gcc-4.0.2/gcc/c-incpath.c
+===================================================================
+--- gcc-4.0.2.orig/gcc/c-incpath.c 2005-01-23 16:05:27.000000000 +0100
++++ gcc-4.0.2/gcc/c-incpath.c 2006-05-15 21:23:02.000000000 +0200
+@@ -350,6 +350,26 @@
+ p->construct = 0;
+ p->user_supplied_p = user_supplied_p;
+
++#ifdef CROSS_COMPILE
++ /* A common error when cross compiling is including
++ host headers. This code below will try to fail fast
++ for cross compiling. Currently we consider /usr/include,
++ /opt/include and /sw/include as harmful. */
++ {
++ /* printf("Adding Path: %s\n", p->name ); */
++ if( strstr(p->name, "/usr/include" ) == p->name ) {
++ fprintf(stderr, _("CROSS COMPILE Badness: /usr/include in INCLUDEPATH: %s\n"), p->name);
++ abort();
++ } else if( strstr(p->name, "/sw/include") == p->name ) {
++ fprintf(stderr, _("CROSS COMPILE Badness: /sw/include in INCLUDEPATH: %s\n"), p->name);
++ abort();
++ } else if( strstr(p->name, "/opt/include") == p->name ) {
++ fprintf(stderr, _("CROSS COMPILE Badness: /opt/include in INCLUDEPATH: %s\n"), p->name);
++ abort();
++ }
++ }
++#endif
++
+ add_cpp_dir_path (p, chain);
+ }
+
diff --git a/packages/gcc/gcc-cross-initial_4.1.1.bb b/packages/gcc/gcc-cross-initial_4.1.1.bb
new file mode 100644
index 0000000000..63308c2cfe
--- /dev/null
+++ b/packages/gcc/gcc-cross-initial_4.1.1.bb
@@ -0,0 +1,30 @@
+include gcc-cross_${PV}.bb
+
+DEPENDS = "virtual/${TARGET_PREFIX}binutils"
+DEPENDS += "${@['virtual/${TARGET_PREFIX}libc-initial',''][bb.data.getVar('TARGET_ARCH', d, 1) in ['arm', 'armeb', 'mips', 'mipsel']]}"
+PROVIDES = "virtual/${TARGET_PREFIX}gcc-initial"
+PACKAGES = ""
+
+# This is intended to be a -very- basic config
+EXTRA_OECONF = "--with-local-prefix=${CROSS_DIR}/${TARGET_SYS} \
+ --with-newlib \
+ --disable-shared \
+ --disable-threads \
+ --disable-multilib \
+ --disable-__cxa_atexit \
+ --disable-libmudflap \
+ --disable-libssp \
+ --enable-languages=c \
+ --enable-target-optspace \
+ --program-prefix=${TARGET_PREFIX} \
+ ${@get_gcc_fpu_setting(bb, d)}"
+
+do_stage_prepend () {
+ mkdir -p ${CROSS_DIR}/lib/gcc/${TARGET_SYS}/${BINV}
+ ln -sf libgcc.a ${CROSS_DIR}/lib/gcc/${TARGET_SYS}/${BINV}/libgcc_eh.a
+}
+
+# Override the method from gcc-cross so we don't try to install libgcc
+do_install () {
+ oe_runmake 'DESTDIR=${D}' install
+}
diff --git a/packages/gcc/gcc-cross_4.1.1.bb b/packages/gcc/gcc-cross_4.1.1.bb
new file mode 100644
index 0000000000..4b0b5a1311
--- /dev/null
+++ b/packages/gcc/gcc-cross_4.1.1.bb
@@ -0,0 +1,18 @@
+include gcc_${PV}.bb
+# path mangling, needed by the cross packaging
+include gcc-paths-cross.inc
+inherit cross
+FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/gcc-${PV}"
+# NOTE: split PR. If the main .oe changes something that affects its *build*
+# remember to increment this one too.
+PR = "r1"
+
+DEPENDS = "virtual/${TARGET_PREFIX}binutils virtual/${TARGET_PREFIX}libc-for-gcc gmp-native mpfr-native"
+PROVIDES = "virtual/${TARGET_PREFIX}gcc virtual/${TARGET_PREFIX}g++"
+
+# cross build
+include gcc3-build-cross.inc
+# cross packaging
+include gcc-package-cross.inc
+
+EXTRA_OECONF += "--with-mpfr=${STAGING_DIR}/${BUILD_SYS}"
diff --git a/packages/gcc/gcc_4.1.1.bb b/packages/gcc/gcc_4.1.1.bb
new file mode 100644
index 0000000000..a0dcf94be1
--- /dev/null
+++ b/packages/gcc/gcc_4.1.1.bb
@@ -0,0 +1,26 @@
+PR = "r0"
+DESCRIPTION = "The GNU cc and gcc C compilers."
+HOMEPAGE = "http://www.gnu.org/software/gcc/"
+SECTION = "devel"
+LICENSE = "GPL"
+DEFAULT_PREFERENCE = "-1"
+
+inherit autotools gettext
+
+include gcc-package.inc
+
+SRC_URI = "http://ftp.gnu.org/pub/gnu/gcc/gcc-4.1.1/gcc-4.1.1.tar.bz2 \
+ file://arm-nolibfloat.patch;patch=1 \
+ file://arm-softfloat.patch;patch=1 \
+ file://ldflags.patch;patch=1"
+
+SRC_URI_append_fail-fast = " file://zecke-no-host-includes.patch;patch=1 "
+
+include gcc4-build.inc
+EXTRA_OECONF += "--disable-libssp"
+
+FORTRAN = ""
+HAS_GFORTRAN = ""